<?php
namespace Ak\Mail;

use Ak\Mail\Transport\TransportServiceAbstractFactory;
use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'mail.transports' => Transport\TransportPluginManager::class,
        ],

        'factories' => [
            Transport\TransportPluginManager::class => PluginManagerAbstractFactory::class,
        ],

        'abstract_factories' => [
            TransportServiceAbstractFactory::class,
        ],
    ],
];